package com.ruoyi.gysl.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**目录管理(Ml)实体类
 *
 */
@Data
@ApiModel(value = "Ml", description = "目录管理")
public class Ml {

    //主键id
    @ApiModelProperty("主键id")
    private Integer id;

    //上楼目录类别
    @ApiModelProperty("上楼目录类别")
    private Integer slmllb;

    //工业大类
    @ApiModelProperty("工业大类")
    private String gydl;

    //产业
    @ApiModelProperty("产业")
    private String cy;

    //创建者id
    @ApiModelProperty("创建者id")
    private Integer createId;

    //创建时间
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    //创建者
    @ApiModelProperty("创建者")
    private String createBy;

    //更新者id
    @ApiModelProperty("更新者id")
    private Long updateId;

    //更新者
    @ApiModelProperty("更新者")
    private String updateBy;

    //更新时间
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;
}
