package com.ruoyi.gysl.service;

import com.ruoyi.gysl.entity.Ml;

import java.util.List;

/**
 * 目录管理(MlController)表服务接口
 */
public interface MlService {
    /**
     * 根据条件查目录数据列表
     *
     * @param ml 查询条件实体
     * @return 目录数据列表
     */
    public List<Ml> selectMl(Ml ml);
    /**
     * 根据条件查询目录的单条数据列表
     *
     * @param id 查询条件实体
     * @return 单条数据
     */
    Ml selectMlId(Integer id);
    /**
     * 增加目录
     *
     * @param ml 数据
     * @return 新增结果
     */
    int saveMl(Ml ml);
    /**
     * 修改目录
     *
     * @param ml 数据
     * @return 修改结果
     */
    int updateById(Ml ml);
    /**
     * 删除目录
     * @param id 数据
     * @return 删除结果
     */
    int deleteMl(Integer id);
}
